# Uses of Enum Class
org.bukkit.scoreboard.NameTagVisibility

Packages that use NameTagVisibility
Package
Description
org.bukkit.scoreboard
Interfaces used to manage the client side score display system.

## Uses of NameTagVisibility in org.bukkit.scoreboard

Methods in org.bukkit.scoreboard that return NameTagVisibility
Modifier and Type
Method
Description
`@NotNull NameTagVisibility`
Team.`getNameTagVisibility()`
Deprecated.
see `Team.getOption(org.bukkit.scoreboard.Team.Option)`
`static NameTagVisibility`
NameTagVisibility.`valueOf(String name)`
Deprecated.
Returns the enum constant of this class with the specified name.
`static NameTagVisibility[]`
NameTagVisibility.`values()`
Deprecated.
Returns an array containing the constants of this enum class, in the order they are declared.
Methods in org.bukkit.scoreboard with parameters of type NameTagVisibility
Modifier and Type
Method
Description
`void`
Team.`setNameTagVisibility(@NotNull NameTagVisibility visibility)`
Deprecated.
see `Team.setOption(org.bukkit.scoreboard.Team.Option, org.bukkit.scoreboard.Team.OptionStatus)`